(() => {
    'use strict';

    Input.keyMapper["57"] = "Wake";  // B
    Input.keyMapper["49"] = "Anim";  // B

    const _Scene_Map_update = Scene_Map.prototype.update;
    Scene_Map.prototype.update = function() {
        _Scene_Map_update.apply(this, arguments);

        if (Input.isTriggered ("Wake")) $gameTemp.reserveCommonEvent(12);
	if (Input.isTriggered ("Anim")) $gameTemp.reserveCommonEvent(35);
    };
})();